abstract class for all request classes usable with DynamoStore. which means they have only one table they work with (even if the actual operation would allow to use multiple tables. e.g. BatchWriteSingleTable)

### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | UpdateItemInput | QueryInput | ScanInput | BatchGetItemInput | BatchWriteItemInput | TransactGetItemsInput | TransactWriteItemsInput

- #### R: BaseRequest<T, I, any>

### Hierarchy

- BaseRequest
  - BatchGetSingleTableRequest
  - BatchWriteSingleTableRequest
  - StandardRequest
  - TransactGetSingleTableRequest

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- returnConsumedCapacity

## Constructors

### Protected constructor

- new BaseRequest(dynamoDBWrapper: DynamoDbWrapper, modelClazz: ModelConstructor<T>): BaseRequest

- - Defined in dynamo/request/base.request.ts:49

  #### Parameters

  - ##### dynamoDBWrapper: DynamoDbWrapper

  - ##### modelClazz: ModelConstructor<T>

  #### Returns BaseRequest

## Properties

### dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

- Defined in dynamo/request/base.request.ts:29

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/base.request.ts:39

metadata created from modelClazz

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/base.request.ts:34

corresponding Model Class

### params

params: I

- Defined in dynamo/request/base.request.ts:49

request input object

### tableName

tableName: string

- Defined in dynamo/request/base.request.ts:44

tableName created with configured tableNameResolver function

## Methods

### Abstract exec

- exec(): Promise<T | T[] | void | null>

- - Defined in dynamo/request/base.request.ts:88

  execute request and return the parsed item(s) or void if none were requested.

  #### Returns Promise<T | T[] | void | null>

### Abstract execFullResponse

- execFullResponse(): Promise<any>

- - Defined in dynamo/request/base.request.ts:83

  execute request and return the full response of dynamoDB. read items will be parsed to JS objects.

  #### Returns Promise<any>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): R

- - Defined in dynamo/request/base.request.ts:75

  return ConsumedCapacity of the corresponding table(s) in the response

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

    not all requests support all values

  #### Returns R